Functions
IT_Management
Peripheral Driver » LL Driver » GPIO » Functions
Collaboration diagram for IT_Management:

## Functions
__STATIC_INLINE void | ll_gpio_enable_falling_trigger (gpio_regs_t *GPIOx, uint32_t pin_mask)
| Enable GPIO Falling Edge Trigger for pins in the range of 0 to 15. More...
__STATIC_INLINE void | ll_gpio_enable_rising_trigger (gpio_regs_t *GPIOx, uint32_t pin_mask)
| Enable GPIO Rising Edge Trigger for pins in the range of 0 to 15. More...
__STATIC_INLINE void | ll_gpio_enable_high_trigger (gpio_regs_t *GPIOx, uint32_t pin_mask)
| Enable GPIO High Level Trigger for pins in the range of 0 to 15. More...
__STATIC_INLINE void | ll_gpio_enable_low_trigger (gpio_regs_t *GPIOx, uint32_t pin_mask)
| Enable GPIO Low Level Trigger for pins in the range of 0 to 15. More...
__STATIC_INLINE void | ll_gpio_enable_both_edge_trigger (gpio_regs_t *GPIOx, uint32_t pin_mask)
| Enable GPIO both edge Trigger for pins in the range of 0 to 15. More...
__STATIC_INLINE uint32_t | ll_gpio_get_trigger_type (gpio_regs_t *GPIOx, uint32_t pin_mask)
| Get trigger type for pins in the range of 0 to 15. More...
__STATIC_INLINE void | ll_gpio_enable_it (gpio_regs_t *GPIOx, uint32_t pin_mask)
| Enable GPIO interrupts for pins in the range of 0 to 15. More...
__STATIC_INLINE void | ll_gpio_disable_it (gpio_regs_t *GPIOx, uint32_t pin_mask)
| Disable GPIO interrupts for pins in the range of 0 to 15. More...
__STATIC_INLINE uint32_t | ll_gpio_is_enabled_it (gpio_regs_t *GPIOx, uint32_t pin_mask)
| Check if the Interrupt of specified GPIO pins is enabled or disabled. More...

## Detailed Description

## Function Documentation

## ◆ ll_gpio_disable_it()

__STATIC_INLINE void ll_gpio_disable_it | ( | gpio_regs_t * | GPIOx,
|  | uint32_t | pin_mask
| ) |  |

Disable GPIO interrupts for pins in the range of 0 to 15.

Note
  Interrupt Trigger can be used to specify the interrupt trigger type

Register | BitsName
--- | ---
INTENCLR | INTENCLR

Parameters

  GPIOx | GPIO instance.
  pin_mask | This parameter can be a combination of the following values: LL_GPIO_PIN_0 LL_GPIO_PIN_1 LL_GPIO_PIN_2 LL_GPIO_PIN_3 LL_GPIO_PIN_4 LL_GPIO_PIN_5 LL_GPIO_PIN_6 LL_GPIO_PIN_7 LL_GPIO_PIN_8 LL_GPIO_PIN_9 LL_GPIO_PIN_10 LL_GPIO_PIN_11 LL_GPIO_PIN_12 LL_GPIO_PIN_13 LL_GPIO_PIN_14 LL_GPIO_PIN_15 LL_GPIO_PIN_ALL

Return values

  None |

Definition at line 1193 of file gr55xx_ll_gpio.h.

## ◆ ll_gpio_enable_both_edge_trigger()

__STATIC_INLINE void ll_gpio_enable_both_edge_trigger | ( | gpio_regs_t * | GPIOx,
|  | uint32_t | pin_mask
| ) |  |

Enable GPIO both edge Trigger for pins in the range of 0 to 15.

Note

Register | BitsName
--- | ---
INTPOLCLR | INTPOLCLR
INTTYPESET | INTTYPESET
INTTYPESET | INTTYPESET

Parameters

  GPIOx | GPIO instance.
  pin_mask | This parameter can be a combination of the following values: LL_GPIO_PIN_0 LL_GPIO_PIN_1 LL_GPIO_PIN_2 LL_GPIO_PIN_3 LL_GPIO_PIN_4 LL_GPIO_PIN_5 LL_GPIO_PIN_6 LL_GPIO_PIN_7 LL_GPIO_PIN_8 LL_GPIO_PIN_9 LL_GPIO_PIN_10 LL_GPIO_PIN_11 LL_GPIO_PIN_12 LL_GPIO_PIN_13 LL_GPIO_PIN_14 LL_GPIO_PIN_15 LL_GPIO_PIN_ALL

Return values

  None |

Definition at line 1053 of file gr55xx_ll_gpio.h.

## ◆ ll_gpio_enable_falling_trigger()

__STATIC_INLINE void ll_gpio_enable_falling_trigger | ( | gpio_regs_t * | GPIOx,
|  | uint32_t | pin_mask
| ) |  |

Enable GPIO Falling Edge Trigger for pins in the range of 0 to 15.

Note

Register | BitsName
--- | ---
INTPOLCLR | INTPOLCLR
INTTYPESET | INTTYPESET

Parameters

  GPIOx | GPIO instance.
  pin_mask | This parameter can be a combination of the following values: LL_GPIO_PIN_0 LL_GPIO_PIN_1 LL_GPIO_PIN_2 LL_GPIO_PIN_3 LL_GPIO_PIN_4 LL_GPIO_PIN_5 LL_GPIO_PIN_6 LL_GPIO_PIN_7 LL_GPIO_PIN_8 LL_GPIO_PIN_9 LL_GPIO_PIN_10 LL_GPIO_PIN_11 LL_GPIO_PIN_12 LL_GPIO_PIN_13 LL_GPIO_PIN_14 LL_GPIO_PIN_15 LL_GPIO_PIN_ALL

Return values

  None |

Definition at line 906 of file gr55xx_ll_gpio.h.

## ◆ ll_gpio_enable_high_trigger()

__STATIC_INLINE void ll_gpio_enable_high_trigger | ( | gpio_regs_t * | GPIOx,
|  | uint32_t | pin_mask
| ) |  |

Enable GPIO High Level Trigger for pins in the range of 0 to 15.

Note

Register | BitsName
--- | ---
INTPOLSET | INTPOLSET
INTTYPECLR | INTTYPECLR

Parameters

  GPIOx | GPIO instance.
  pin_mask | This parameter can be a combination of the following values: LL_GPIO_PIN_0 LL_GPIO_PIN_1 LL_GPIO_PIN_2 LL_GPIO_PIN_3 LL_GPIO_PIN_4 LL_GPIO_PIN_5 LL_GPIO_PIN_6 LL_GPIO_PIN_7 LL_GPIO_PIN_8 LL_GPIO_PIN_9 LL_GPIO_PIN_10 LL_GPIO_PIN_11 LL_GPIO_PIN_12 LL_GPIO_PIN_13 LL_GPIO_PIN_14 LL_GPIO_PIN_15 LL_GPIO_PIN_ALL

Return values

  None |

Definition at line 980 of file gr55xx_ll_gpio.h.

## ◆ ll_gpio_enable_it()

__STATIC_INLINE void ll_gpio_enable_it | ( | gpio_regs_t * | GPIOx,
|  | uint32_t | pin_mask
| ) |  |

Enable GPIO interrupts for pins in the range of 0 to 15.

Note
  Interrupt Trigger can be used to specify the interrupt trigger type

Register | BitsName
--- | ---
INTENSET | INTENSET

Parameters

  GPIOx | GPIO instance.
  pin_mask | This parameter can be a combination of the following values: LL_GPIO_PIN_0 LL_GPIO_PIN_1 LL_GPIO_PIN_2 LL_GPIO_PIN_3 LL_GPIO_PIN_4 LL_GPIO_PIN_5 LL_GPIO_PIN_6 LL_GPIO_PIN_7 LL_GPIO_PIN_8 LL_GPIO_PIN_9 LL_GPIO_PIN_10 LL_GPIO_PIN_11 LL_GPIO_PIN_12 LL_GPIO_PIN_13 LL_GPIO_PIN_14 LL_GPIO_PIN_15 LL_GPIO_PIN_ALL

Return values

  None |

Definition at line 1159 of file gr55xx_ll_gpio.h.

## ◆ ll_gpio_enable_low_trigger()

__STATIC_INLINE void ll_gpio_enable_low_trigger | ( | gpio_regs_t * | GPIOx,
|  | uint32_t | pin_mask
| ) |  |

Enable GPIO Low Level Trigger for pins in the range of 0 to 15.

Note

Register | BitsName
--- | ---
INTPOLCLR | INTPOLCLR
INTTYPECLR | INTTYPECLR

Parameters

  GPIOx | GPIO instance.
  pin_mask | This parameter can be a combination of the following values: LL_GPIO_PIN_0 LL_GPIO_PIN_1 LL_GPIO_PIN_2 LL_GPIO_PIN_3 LL_GPIO_PIN_4 LL_GPIO_PIN_5 LL_GPIO_PIN_6 LL_GPIO_PIN_7 LL_GPIO_PIN_8 LL_GPIO_PIN_9 LL_GPIO_PIN_10 LL_GPIO_PIN_11 LL_GPIO_PIN_12 LL_GPIO_PIN_13 LL_GPIO_PIN_14 LL_GPIO_PIN_15 LL_GPIO_PIN_ALL

Return values

  None |

Definition at line 1016 of file gr55xx_ll_gpio.h.

## ◆ ll_gpio_enable_rising_trigger()

__STATIC_INLINE void ll_gpio_enable_rising_trigger | ( | gpio_regs_t * | GPIOx,
|  | uint32_t | pin_mask
| ) |  |

Enable GPIO Rising Edge Trigger for pins in the range of 0 to 15.

Note

Register | BitsName
--- | ---
INTPOLSET | INTPOLSET
INTTYPESET | INTTYPESET

Parameters

  GPIOx | GPIO instance.
  pin_mask | This parameter can be a combination of the following values: LL_GPIO_PIN_0 LL_GPIO_PIN_1 LL_GPIO_PIN_2 LL_GPIO_PIN_3 LL_GPIO_PIN_4 LL_GPIO_PIN_5 LL_GPIO_PIN_6 LL_GPIO_PIN_7 LL_GPIO_PIN_8 LL_GPIO_PIN_9 LL_GPIO_PIN_10 LL_GPIO_PIN_11 LL_GPIO_PIN_12 LL_GPIO_PIN_13 LL_GPIO_PIN_14 LL_GPIO_PIN_15 LL_GPIO_PIN_ALL

Return values

  None |

Definition at line 943 of file gr55xx_ll_gpio.h.

## ◆ ll_gpio_get_trigger_type()

__STATIC_INLINE uint32_t ll_gpio_get_trigger_type | ( | gpio_regs_t * | GPIOx,
|  | uint32_t | pin_mask
| ) |  |

Get trigger type for pins in the range of 0 to 15.

Note

Register | BitsName
--- | ---
INTPOLCLR | INTPOLCLR
INTTYPECLR | INTTYPECLR
INTTYPESET | INTTYPESET

Parameters

  GPIOx | GPIO instance.
  pin_mask | This parameter can be a combination of the following values: LL_GPIO_PIN_0 LL_GPIO_PIN_1 LL_GPIO_PIN_2 LL_GPIO_PIN_3 LL_GPIO_PIN_4 LL_GPIO_PIN_5 LL_GPIO_PIN_6 LL_GPIO_PIN_7 LL_GPIO_PIN_8 LL_GPIO_PIN_9 LL_GPIO_PIN_10 LL_GPIO_PIN_11 LL_GPIO_PIN_12 LL_GPIO_PIN_13 LL_GPIO_PIN_14 LL_GPIO_PIN_15

Return values

  Returned | value can be one of the following values: LL_GPIO_TRIGGER_RISING LL_GPIO_TRIGGER_FALLING LL_GPIO_TRIGGER_HIGH LL_GPIO_TRIGGER_LOW LL_GPIO_TRIGGER_BOTH_EDGE

Definition at line 1095 of file gr55xx_ll_gpio.h.

References DBE_SET, LL_GPIO_TRIGGER_BOTH_EDGE, LL_GPIO_TRIGGER_FALLING, LL_GPIO_TRIGGER_HIGH, LL_GPIO_TRIGGER_LOW, LL_GPIO_TRIGGER_RISING, POL_SET, and TYPE_SET.

## ◆ ll_gpio_is_enabled_it()

__STATIC_INLINE uint32_t ll_gpio_is_enabled_it | ( | gpio_regs_t * | GPIOx,
|  | uint32_t | pin_mask
| ) |  |

Check if the Interrupt of specified GPIO pins is enabled or disabled.

Register | BitsName
--- | ---
INTENSET | INTENSET

Parameters

  GPIOx | GPIO instance.
  pin_mask | This parameter can be a combination of the following values: LL_GPIO_PIN_0 LL_GPIO_PIN_1 LL_GPIO_PIN_2 LL_GPIO_PIN_3 LL_GPIO_PIN_4 LL_GPIO_PIN_5 LL_GPIO_PIN_6 LL_GPIO_PIN_7 LL_GPIO_PIN_8 LL_GPIO_PIN_9 LL_GPIO_PIN_10 LL_GPIO_PIN_11 LL_GPIO_PIN_12 LL_GPIO_PIN_13 LL_GPIO_PIN_14 LL_GPIO_PIN_15 LL_GPIO_PIN_ALL

Return values

  State | of bit (1 or 0).

Definition at line 1226 of file gr55xx_ll_gpio.h.